package com.ruoyi.system.mapper_shate;

import com.ruoyi.system.domain_shate.Altitude;
import com.ruoyi.system.domain_shate.SeedingSuccessRate;
import com.ruoyi.system.domain_shate.VegetationHealth;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Author: JinSheng Song
 * @Date: 2022/7/8 10:51
 */
public interface VegetationHealthMapper
{

    List<VegetationHealth> sqlSeeding(@Param("zone") String zone,
                                      @Param("name") String name,
                                      @Param("year") String year);

    List<VegetationHealth> sqlYear();

    Integer insertSeeding(VegetationHealth health);


    List<VegetationHealth> sqlInfo(@Param("zone")String zone,
                                   @Param("year")String year);
}
